API referenceItem access
Get
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
itemId*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/workspaces/string/items/string/access"{ "data": { "workspaceItemId": "string", "kind": "folder", "grants": [ { "id": "string", "workspaceItemId": "string", "subjectKind": "user", "subjectUserId": "string", "subjectRoleId": "string", "accessLevel": "view", "inherited": true, "inheritedFromItemId": "string", "displayName": "string", "email": "string", "avatarUrl": "string", "roleName": "string", "status": "active", "expiresAt": "string" } ], "general": { "enabled": true, "accessLevel": "view", "expiresAt": "string", "url": "string" }, "viewerCanManage": true }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}